## org.eclipse.ocl.types
Interface TypesPackage.Literals

Enclosing interface:
  TypesPackage

    public static interface TypesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `ANY_TYPE` The meta object literal for the '`Any Type`' class
`static EClass` `BAG_TYPE` The meta object literal for the '`Bag Type`' class
`static EClass` `COLLECTION_TYPE` The meta object literal for the '`Collection Type`' class
`static EReference` `COLLECTION_TYPE__ELEMENT_TYPE` The meta object literal for the 'Element Type' reference feature
`static EAttribute` `COLLECTION_TYPE__KIND` The meta object literal for the 'Kind' attribute feature
`static EClass` `ELEMENT_TYPE` The meta object literal for the '`Element Type`' class
`static EClass` `INVALID_TYPE` The meta object literal for the '`Invalid Type`' class
`static EClass` `MESSAGE_TYPE` The meta object literal for the '`Message Type`' class
`static EReference` `MESSAGE_TYPE__REFERRED_OPERATION` The meta object literal for the 'Referred Operation' reference feature
`static EReference` `MESSAGE_TYPE__REFERRED_SIGNAL` The meta object literal for the 'Referred Signal' reference feature
`static EClass` `ORDERED_SET_TYPE` The meta object literal for the '`Ordered Set Type`' class
`static EClass` `PRIMITIVE_TYPE` The meta object literal for the '`Primitive Type`' class
`static EClass` `SEQUENCE_TYPE` The meta object literal for the '`Sequence Type`' class
`static EClass` `SET_TYPE` The meta object literal for the '`Set Type`' class
`static EClass` `TUPLE_TYPE` The meta object literal for the '`Tuple Type`' class
`static EClass` `TYPE_TYPE` The meta object literal for the '`Type Type`' class
`static EReference` `TYPE_TYPE__REFERRED_TYPE` The meta object literal for the 'Referred Type' reference feature
`static EClass` `VOID_TYPE` The meta object literal for the '`Void Type`' class

Field Detail

### ANY_TYPE

    static final EClass ANY_TYPE

  The meta object literal for the '`Any Type`' class.

  See Also:
    `AnyTypeImpl`, `TypesPackageImpl.getAnyType()`

### BAG_TYPE

    static final EClass BAG_TYPE

  The meta object literal for the '`Bag Type`' class.

  See Also:
    `BagTypeImpl`, `TypesPackageImpl.getBagType()`

### COLLECTION_TYPE

    static final EClass COLLECTION_TYPE

  The meta object literal for the '`Collection Type`' class.

  See Also:
    `CollectionTypeImpl`, `TypesPackageImpl.getCollectionType()`

### COLLECTION_TYPE__ELEMENT_TYPE

    static final EReference COLLECTION_TYPE__ELEMENT_TYPE

  The meta object literal for the 'Element Type' reference feature.

### COLLECTION_TYPE__KIND

    static final EAttribute COLLECTION_TYPE__KIND

  The meta object literal for the 'Kind' attribute feature.

### ELEMENT_TYPE

    static final EClass ELEMENT_TYPE

  The meta object literal for the '`Element Type`' class.

  See Also:
    `ElementTypeImpl`, `TypesPackageImpl.getElementType()`

### INVALID_TYPE

    static final EClass INVALID_TYPE

  The meta object literal for the '`Invalid Type`' class.

  See Also:
    `InvalidTypeImpl`, `TypesPackageImpl.getInvalidType()`

### MESSAGE_TYPE

    static final EClass MESSAGE_TYPE

  The meta object literal for the '`Message Type`' class.

  See Also:
    `MessageTypeImpl`, `TypesPackageImpl.getMessageType()`

### MESSAGE_TYPE__REFERRED_OPERATION

    static final EReference MESSAGE_TYPE__REFERRED_OPERATION

  The meta object literal for the 'Referred Operation' reference feature.

### MESSAGE_TYPE__REFERRED_SIGNAL

    static final EReference MESSAGE_TYPE__REFERRED_SIGNAL

  The meta object literal for the 'Referred Signal' reference feature.

### ORDERED_SET_TYPE

    static final EClass ORDERED_SET_TYPE

  The meta object literal for the '`Ordered Set Type`' class.

  See Also:
    `OrderedSetTypeImpl`, `TypesPackageImpl.getOrderedSetType()`

### PRIMITIVE_TYPE

    static final EClass PRIMITIVE_TYPE

  The meta object literal for the '`Primitive Type`' class.

  See Also:
    `PrimitiveTypeImpl`, `TypesPackageImpl.getPrimitiveType()`

### SEQUENCE_TYPE

    static final EClass SEQUENCE_TYPE

  The meta object literal for the '`Sequence Type`' class.

  See Also:
    `SequenceTypeImpl`, `TypesPackageImpl.getSequenceType()`

### SET_TYPE

    static final EClass SET_TYPE

  The meta object literal for the '`Set Type`' class.

  See Also:
    `SetTypeImpl`, `TypesPackageImpl.getSetType()`

### TUPLE_TYPE

    static final EClass TUPLE_TYPE

  The meta object literal for the '`Tuple Type`' class.

  See Also:
    `TupleTypeImpl`, `TypesPackageImpl.getTupleType()`

### TYPE_TYPE

    static final EClass TYPE_TYPE

  The meta object literal for the '`Type Type`' class.

  See Also:
    `TypeTypeImpl`, `TypesPackageImpl.getTypeType()`

### TYPE_TYPE__REFERRED_TYPE

    static final EReference TYPE_TYPE__REFERRED_TYPE

  The meta object literal for the 'Referred Type' reference feature.

### VOID_TYPE

    static final EClass VOID_TYPE

  The meta object literal for the '`Void Type`' class.

  See Also:
    `VoidTypeImpl`, `TypesPackageImpl.getVoidType()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.